> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an AI Capability

> Update an AI capability, for example to turn it back on with its saved key.



## OpenAPI

````yaml POST /v1/ai-tools/{id}
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/ai-tools/{id}:
    post:
      tags:
        - ai-capabilities
      description: >-
        Update an AI capability, for example to turn it back on with its saved
        key.
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                provider:
                  type: string
                  enum:
                    - tavily
                    - firecrawl
                    - apify
                    - fal
                    - ai_provider
                auth:
                  type: object
                  properties:
                    apiKey:
                      type: string
                      minLength: 1
                  required:
                    - apiKey
                config:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                enabled:
                  type: boolean
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.